Ubuntu – Cannot install thesql server 5.5 on ubuntu 14.04

aptdependenciesMySQLpackage-management

I have tried many ways to install mysql-server. I first tried installing by executing

sudo apt-get install mysql-client-5.5 mysql-server mysql-server-core-5.5

I was asked for root password, and that I did. But the install was not complete some unmet dependency came up. Very similar to in this question. I have then tried different combinations and unmet dependency issue went away but I started getting this

Preparing to unpack .../mysql-server_5.5.43-0ubuntu0.14.04.1_all.deb    
Unpacking mysql-server (5.5.43-0ubuntu0.14.04.1) ...
Errors were encountered while processing:
 /var/cache/apt/archives/mysql-server-5.5_5.5.43-
0ubuntu0.14.04.1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

I have already tried removing and purging dependencies through various methods like in this question 2. I have also tried doing that via Aptitude and tried installing mysql-server again, but with no success.
Please help me out!

Best Answer

  • Remove the cached deb file:

    sudo rm /var/cache/apt/archives/mysql-server-5.5_5.5.43-0ubuntu0.14.04.1_amd64.deb
    

    and try it again:

    sudo apt-get install -f
    sudo apt-get install mysql-client mysql-server
    

    Alternatively, install version 5.6:

    sudo apt-get remove mysql-server mysql-client
    sudo apt-get install mysql-server-5.6 mysql-client-5.6
    
  • Related Question